> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3os.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get AI credit usage

Get AI credit usage breakdown for a specific month

` GET /v1/organizations/{orgId}/ai-credits/usage `

Get AI credit usage

Get AI credit usage breakdown for a specific month

## Parameters

### ` orgId ` (path, required)

Organization ID

- ` value `: type ` string `

### ` yearMonth ` (query, required)

Year-Month in YYYY-MM format

- ` value `: type ` string `

## Request body (optional)

Content type: ` application/json `

- ` value `: type ` object `

## Responses

### ` 200 ` — OK

Content type: ` application/json `

- ` value `: type ` object `

  - ` code `: type ` integer `

    - example: ` 0 `

  - ` data `: type ` object `

    - ` summary `: type ` object `

      - ` adjusted `: type ` number `

      - ` deposited `: type ` number `

      - ` granted `: type ` number `

      - ` used `: type ` number `

    - ` yearMonth `: type ` string `

  - ` message `: type ` string `

    - example: ` "successfully" `

  - ` requestId `: type ` string `

    - example: ` "req_abc123" `

### ` 400 ` — Bad Request

Content type: ` application/json `

- ` value `: type ` object `

  - ` code `: type ` integer `

  - ` details `: type ` array `

    - ` array item `: type ` unknown `

  - ` message `: type ` string `

  - ` requestId `: type ` string `

### ` 404 ` — Not Found

Content type: ` application/json `

- ` value `: type ` object `

  - ` code `: type ` integer `

  - ` details `: type ` array `

    - ` array item `: type ` unknown `

  - ` message `: type ` string `

  - ` requestId `: type ` string `

### ` 500 ` — Internal Server Error

Content type: ` application/json `

- ` value `: type ` object `

  - ` code `: type ` integer `

  - ` details `: type ` array `

    - ` array item `: type ` unknown `

  - ` message `: type ` string `

  - ` requestId `: type ` string `

## Request examples

### cURL

```curl
curl -X GET 'https://api.example.com/v1/organizations/string/ai-credits/usage?yearMonth=string' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{}'
```

### JavaScript

```javascript
const response = await fetch('https://api.example.com/v1/organizations/string/ai-credits/usage?yearMonth=string', {
  method: 'GET',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN",
      "Content-Type": "application/json"
  },
  body: JSON.stringify({})
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.get('https://api.example.com/v1/organizations/string/ai-credits/usage?yearMonth=string', headers=headers, json={})
print(response.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
	"strings"
)

func main() {
	body := strings.NewReader(`{}`)
	req, _ := http.NewRequest("GET", "https://api.example.com/v1/organizations/string/ai-credits/usage?yearMonth=string", body)
	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
	req.Header.Set("Content-Type", "application/json")

	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
	result, _ := io.ReadAll(resp.Body)
	fmt.Println(string(result))
}
```